Need help on downgrading Thunar from 1.8.4 to 1.6.3

If none of the more specific forums is the right place to ask

Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby efrpcabo » 2019-08-13 21:55

Can anybody please help me on downgrading Thunar from 1.8.4 to 1.6.3?

I'm using Debian Buster and I use Thunar custom actions very much.

The problem is that Thunar custom actions don't work on the Desktop, as you can read here:
https://bbs.archlinux.org/viewtopic.php ... 7#p1807697

So, either I upgrade XFCE from 4.12 to 4.13
or
I downgrade Thunar from 1.8.4 to 1.6.3

Correct me if I'm wrong, but I believe it is best to choose downgrade Thunar.

So, I need some help to do this right.

I've googled around and I've read I should run this command:
apt policy thunar

which gives me this result, which I believe says I only have version 1.8.4-1 available:
thunar:
Installed: 1.8.4-1
Candidate: 1.8.4-1
Version table:
*** 1.8.4-1 500
500 http://deb.debian.org/debian stable/main amd64 Packages
100 /var/lib/dpkg/status

If this is so, it seems I'm stuck!...
Can someone shed some light in here, please?
efrpcabo
 
Posts: 34
Joined: 2013-08-08 06:36

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby djk44883 » 2019-08-13 22:46

I know if you use synaptic you can use the menu Package > Force Version (after you select the package you want)

You can configure a pin for the file. I've done it, but you'll have to look into apt pinning for get it right.

man apt-get shows a --allow-downgrades option, but then I bet you'll need to apt-mark hold the package - Never did this --- research further

There may be other and/or easier methods...
djk44883
 
Posts: 61
Joined: 2010-12-11 13:14

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby CwF » 2019-08-14 02:32

Since the earlier version is from Stretch you need to arrange to have it seen by apt in a local pool. That's a page of explanation!

Then with whatever tool try to remove the current and install the last in one step, and simply see what it says. It may help to have changed the default FM to something else first, I used spacefm, and actually like it. If synaptic doesn't want to do it, then maybe drop down to a root VT and see if aptitude (and you) can make sense of it....Bottom line is you can rip it out and reinstall what you have to as long as apt can see both versions, and then you pick. I never bother with pinning things, it's a mess. I simply control what apt sees.

Or some other way?

I've mentioned this, and complained some over the last months. Since I use staged images I caught it and have full buster images with spacefm, hybrid Buster with the thunar upgrade skipped, and my main hypervisor still on stretch because of thunar.
CwF
 
Posts: 386
Joined: 2018-06-20 15:16

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby efrpcabo » 2019-08-14 08:26

Thank you both. I will try following your directions and see if I can accomplish this.
efrpcabo
 
Posts: 34
Joined: 2013-08-08 06:36

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby djk44883 » 2019-08-14 14:44

I hadn't look into the specifics, just the methods. I suggest you first read https://wiki.debian.org/DontBreakDebian before creating a FrankenDebian.

https://packages.debian.org/stretch/thunar and download the .deb file directly.

*possibilities
1 Use gdebi pkg to install new-downloaded one (does have simulate and takes apt-get options) Might need to uninstall current version.

2 use dpkg to force install of new-downloaded one (dpkg does not do dependencies)

I'm not 100% this works, but reasonably certain I've used something similar for less of a system issue. You need to research just what a bad idea these may be and confirm either will do what you need.
Last edited by djk44883 on 2019-08-14 18:34, edited 1 time in total.
djk44883
 
Posts: 61
Joined: 2010-12-11 13:14

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby efrpcabo » 2019-08-14 17:06

djk44883 wrote:I hadn't look into the specifics, just the methods. I suggest you first read https://wiki.debian.org/DontBreakDebian before creating a FrankenDebian.

https://packages.debian.org/stretch/thunar and download the .deb file directly.

*possibilities
1 Use [url]=https://manpages.debian.org/buster/gdebi-core/gdebi.1.en.htmlgdebi[/url] pkg to install new-downloaded one (does have simulate and takes apt-get options) Might need to uninstall current version.

2 use dpkg to force install of new-downloaded one (dpkg does not do dependencies)

I'm not 100% this works, but reasonably certain I've used something similar for less of a system issue. You need to research just what a bad idea these may be and confirm either will do what you need.


Thank you.
I will test this first on a virtual machine.
efrpcabo
 
Posts: 34
Joined: 2013-08-08 06:36

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby stevepusser » 2019-08-14 19:59

I am working on backports of XFCE 4.1.4 for Buster and Stretch, but it might be a day or so before I'm finished.

This has Thunar 1.8.9...

https://build.opensuse.org/project/show ... :xfce-4.14
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11005
Joined: 2009-10-06 05:53


Return to General Questions

Who is online

Users browsing this forum: No registered users and 15 guests

fashionable